#-*-coding:utf-8*-*
from creole import eosfunc

def test_calc_classe():
    """
    Tests sur la fonction calc_classe
    """
    classe = eosfunc.calc_classe('255.255.255.0')
    # la fonction doit retourner de l'unicode (#8356)
    assert type(classe) == unicode
    assert classe == u'24'

def test_concat():
    """
    Tests sur la fonction concat
    """
    assert eosfunc.concat(u'a', u'b') == u'ab'
    assert eosfunc.concat(u'a', attr=u'b') == u'ab'
    assert eosfunc.concat(attr1=u'a', attr2='b') == u'ab'
    # argument à None (#7701)
    assert eosfunc.concat(u'a', None, u'b') is None
    # argument nommé à None (#7138)
    assert eosfunc.concat(attr1=None, attr2='b') is None
    # mélange des deux
    assert eosfunc.concat(u'a', attr=None) is None
    assert eosfunc.concat(None, attr=u'b') is None

def test_concat_path():
    """
    Tests sur la fonction de concaténation de chemins
    """
    assert eosfunc.concat_path(u'/home', u'test') == u'/home/test'
    assert eosfunc.concat_path(u'/home', u'/test') == u'/home/test'
    assert eosfunc.concat_path(u'home', u'test') == u'/home/test'
    assert eosfunc.concat_path(u'home', u'/test') == u'/home/test'
    assert eosfunc.concat_path(u'/', u'test') == u'/test'
    assert eosfunc.concat_path(u'/', u'/test') == u'/test'
    assert eosfunc.concat_path(u'', u'test') == u'/test'
    assert eosfunc.concat_path(u'', u'/test') == u'/test'
